#!/bin/sh
fbdate=20180922

git clone https://github.com/ssvb/xf86-video-fbturbo.git xserver-xorg-video-fbturbo-1.${fbdate} && \
tar -czv --exclude-vcs -f xserver-xorg-video-fbturbo_1.${fbdate}$1.orig.tar.gz xserver-xorg-video-fbturbo-1.${fbdate} && \
rm -rf xserver-xorg-video-fbturbo-1.${fbdate}/

if [ ! -e xserver-xorg-video-fbturbo-c2.zip ]; then
  wget -N http://seafile.servator.de/sbc/odroid/build/xserver-xorg-video-fbturbo-c2.zip
  unzip xserver-xorg-video-fbturbo-c2.zip
fi

tar xzvf xserver-xorg-video-fbturbo_1.${fbdate}$1.orig.tar.gz && \
cd xserver-xorg-video-fbturbo-1.${fbdate}/ && \
tar xzvf ../xserver-xorg-video-fbturbo_1.20140112-debian.tar.gz

# build
cp -p ../fbturbo-crtc-lcd-a53-rpi.patch debian/patches/ && \
echo "fbturbo-crtc-lcd-a53-rpi.patch" >> debian/patches/series
cp -p ../fbturbo-fix-depth.patch debian/patches/ && \
echo "fbturbo-fix-depth.patch" >> debian/patches/series
cp -p ../fbturbo-rename-mali-dri2.patch debian/patches/ && \
echo "fbturbo-rename-mali-dri2.patch" >> debian/patches/series

if [ "X$1" != "X-dummy" ]; then
  cp -p ../fbturbo-add-meson-and-sun4i-drm.patch debian/patches/ && \
  echo "fbturbo-add-meson-and-sun4i-drm.patch" >> debian/patches/series
fi

#cp -p ../fbturbo-adapt_block_wakeuphandler_signature_for_abi_23.patch debian/patches/ && \
#echo "fbturbo-adapt_block_wakeuphandler_signature_for_abi_23.patch" >> debian/patches/series
cp -p ../fbturbo-changes_for_abi_24.patch debian/patches/ && \
echo "fbturbo-changes_for_abi_24.patch" >> debian/patches/series

# c2 only
cp -p ../fbturbo-enable-crtc-lcd.patch debian/patches/ && \
echo "fbturbo-enable-crtc-lcd.patch" >> debian/patches/series

sed -i s/'20140112'/${fbdate}$1/g debian/changelog

QUILT_PATCHES=debian/patches quilt push -a

cd ..

echo OK
